#!/usr/bin/env python

from PyQt4.QtGui import QGridLayout, QSpacerItem, QSizePolicy, QPushButton, QWidget, QFont, QLabel
from PyQt4.QtCore import QObject, Qt


# Define the experiments tab content:
class InitialTab(QObject):
    def __init__(self, stationName, parent, id=-1):
        super(InitialTab, self).__init__(parent)
        self.stationName = stationName
        self.parent = parent

    def initialTabLayout(self):
        grid = QGridLayout()

        labelFont = QFont("Arial", 18, QFont.Bold)
        lbl = QLabel(self.stationName + " DM Tool", self)
        lbl.setAlignment(Qt.AlignCenter)
        lbl.setFont(labelFont)
        grid.addWidget(lbl, 1, 1, 1, 3)

        grid.addItem(QSpacerItem(20, 130, QSizePolicy.Expanding), 2, 1)

        grid.addItem(QSpacerItem(40, 20, QSizePolicy.Expanding), 3, 1)
        manageBtn = QPushButton("Manage Experiments", self)
        manageBtn.clicked.connect(self.setTab(1))
        grid.addWidget(manageBtn, 3, 2)
        grid.addItem(QSpacerItem(40, 20, QSizePolicy.Expanding), 3, 3)
        viewBtn = QPushButton("View Experiments", self)
        viewBtn.clicked.connect(self.setTab(2))
        grid.addWidget(viewBtn, 3, 4)
        grid.addItem(QSpacerItem(40, 20, QSizePolicy.Expanding), 3, 5)

        grid.addItem(QSpacerItem(20, 130, QSizePolicy.Expanding), 4, 1)

        self.initialTabWidget = QWidget()
        self.initialTabWidget.setLayout(grid)

    def setTab(self, tab):
        self.parent.setCurrentIndex(tab)
